# Uses of Class
javafx.beans.property.IntegerProperty

Packages that use IntegerProperty
Package
Description
javafx.animation
Provides the set of classes for ease of use transition based animations.
javafx.beans.property
The package `javafx.beans.property` defines read-only properties and writable properties, plus a number of implementations.
javafx.beans.property.adapter
Provides various classes that act as adapters between a regular Java Bean property and a corresponding `JavaFX Property`.
javafx.concurrent
Provides the set of classes for javafx.task.
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.
javafx.print
Provides the public classes for the JavaFX Printing API.
javafx.scene.chart
The JavaFX User Interface provides a set of chart components that are a very convenient way for data visualization.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located
javafx.scene.effect
Provides the set of classes for attaching graphical filter effects to JavaFX Scene Graph Nodes.
javafx.scene.layout
Provides classes to support user interface layout.
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.
javafx.scene.web
This package provides means for loading and displaying Web content.

## Uses of IntegerProperty in javafx.animation

Methods in javafx.animation that return IntegerProperty
Modifier and Type
Method
Description
`final IntegerProperty`
Animation.`cycleCountProperty()`
Defines the number of cycles in this animation.

## Uses of IntegerProperty in javafx.beans.property

Subclasses of IntegerProperty in javafx.beans.property
Modifier and Type
Class
Description
`class`
`IntegerPropertyBase`
The class `IntegerPropertyBase` is the base class for a property wrapping a `int` value.
`class`
`ReadOnlyIntegerWrapper`
This class provides a convenient class to define read-only properties.
`class`
`SimpleIntegerProperty`
This class provides a full implementation of a `Property` wrapping a `int` value.
Methods in javafx.beans.property that return IntegerProperty
Modifier and Type
Method
Description
`static IntegerProperty`
IntegerProperty.`integerProperty(Property<Integer> property)`
Returns a `IntegerProperty` that wraps a `Property` and is bidirectionally bound to it.

## Uses of IntegerProperty in javafx.beans.property.adapter

Subclasses of IntegerProperty in javafx.beans.property.adapter
Modifier and Type
Class
Description
`final class`
`JavaBeanIntegerProperty`
A `JavaBeanIntegerProperty` provides an adapter between a regular Java Bean property of type `int` or `Integer` and a JavaFX `IntegerProperty`.

## Uses of IntegerProperty in javafx.concurrent

Methods in javafx.concurrent that return IntegerProperty
Modifier and Type
Method
Description
`final IntegerProperty`
ScheduledService.`maximumFailureCountProperty()`
The maximum number of times the ScheduledService can fail before it simply ends in the FAILED state.

## Uses of IntegerProperty in javafx.css

Subclasses of IntegerProperty in javafx.css
Modifier and Type
Class
Description
`class`
`SimpleStyleableIntegerProperty`
This class extends `SimpleIntegerProperty` and provides a full implementation of a `StyleableProperty`.
`class`
`StyleableIntegerProperty`
This class extends `IntegerPropertyBase` and provides a partial implementation of a `StyleableProperty`.

## Uses of IntegerProperty in javafx.print

Methods in javafx.print that return IntegerProperty
Modifier and Type
Method
Description
`final IntegerProperty`
JobSettings.`copiesProperty()`
`IntegerProperty` representing the number of copies of the job to print.

## Uses of IntegerProperty in javafx.scene.chart

Methods in javafx.scene.chart that return IntegerProperty
Modifier and Type
Method
Description
`final IntegerProperty`
ValueAxis.`minorTickCountProperty()`
The number of minor tick divisions to be displayed between each major tick mark.

## Uses of IntegerProperty in javafx.scene.control

Methods in javafx.scene.control that return IntegerProperty
Modifier and Type
Method
Description
`final IntegerProperty`
SpinnerValueFactory.IntegerSpinnerValueFactory.`amountToStepByProperty()`
Sets the amount to increment or decrement by, per step.
`final IntegerProperty`
Pagination.`currentPageIndexProperty()`
The current page index to display for this pagination control.
`final IntegerProperty`
Pagination.`maxPageIndicatorCountProperty()`
The maximum number of page indicators to use for this pagination control.
`final IntegerProperty`
SpinnerValueFactory.IntegerSpinnerValueFactory.`maxProperty()`
Sets the maximum allowable value for this value factory
`final IntegerProperty`
Slider.`minorTickCountProperty()`
The number of minor ticks to place between any two major ticks.
`final IntegerProperty`
SpinnerValueFactory.IntegerSpinnerValueFactory.`minProperty()`
Sets the minimum allowable value for this value factory
`final IntegerProperty`
Pagination.`pageCountProperty()`
The number of pages for this pagination control.
`final IntegerProperty`
TextArea.`prefColumnCountProperty()`
The preferred number of text columns.
`final IntegerProperty`
TextField.`prefColumnCountProperty()`
The preferred number of text columns.
`final IntegerProperty`
TextArea.`prefRowCountProperty()`
The preferred number of text rows.
`final IntegerProperty`
ComboBox.`visibleRowCountProperty()`
The maximum number of rows to be visible in the ComboBox popup when it is showing.

## Uses of IntegerProperty in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return IntegerProperty
Modifier and Type
Method
Description
`final IntegerProperty`
VirtualFlow.`cellCountProperty()`
Indicates the number of cells that should be in the flow.

## Uses of IntegerProperty in javafx.scene.effect

Methods in javafx.scene.effect that return IntegerProperty
Modifier and Type
Method
Description
`final IntegerProperty`
FloatMap.`heightProperty()`
The height of the map, in pixels.
`final IntegerProperty`
BoxBlur.`iterationsProperty()`
The number of times to iterate the blur effect to improve its "quality" or "smoothness".
`final IntegerProperty`
FloatMap.`widthProperty()`
The width of the map, in pixels.

## Uses of IntegerProperty in javafx.scene.layout

Methods in javafx.scene.layout that return IntegerProperty
Modifier and Type
Method
Description
`final IntegerProperty`
TilePane.`prefColumnsProperty()`
The preferred number of columns for a horizontal tilepane.
`final IntegerProperty`
TilePane.`prefRowsProperty()`
The preferred number of rows for a vertical tilepane.

## Uses of IntegerProperty in javafx.scene.media

Methods in javafx.scene.media that return IntegerProperty
Modifier and Type
Method
Description
`IntegerProperty`
MediaPlayer.`audioSpectrumNumBandsProperty()`
The number of bands in the audio spectrum.
`IntegerProperty`
MediaPlayer.`audioSpectrumThresholdProperty()`
The sensitivity threshold in decibels; must be non-positive.
`IntegerProperty`
AudioClip.`cycleCountProperty()`
The number of times the clip will be played when `AudioClip.play()` is called.
`IntegerProperty`
MediaPlayer.`cycleCountProperty()`
The number of times the media will be played.
`IntegerProperty`
AudioClip.`priorityProperty()`
The relative priority of the clip with respect to other clips.

## Uses of IntegerProperty in javafx.scene.text

Methods in javafx.scene.text that return IntegerProperty
Modifier and Type
Method
Description
`final IntegerProperty`
Text.`caretPositionProperty()`
`final IntegerProperty`
Text.`selectionEndProperty()`
`final IntegerProperty`
Text.`selectionStartProperty()`

## Uses of IntegerProperty in javafx.scene.web

Methods in javafx.scene.web that return IntegerProperty
Modifier and Type
Method
Description
`IntegerProperty`
WebHistory.`maxSizeProperty()`
Defines the maximum size of the history list.